Bullet Collision Detection & Physics Library: btTriangleInfoMapData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btTriangleInfoMapData Struct Reference

`#include <btTriangleInfoMap.h>`

Collaboration diagram for btTriangleInfoMapData:
[legend]

## Public Attributes
int * | m_hashTablePtr
int * | m_nextPtr
btTriangleInfoData * | m_valueArrayPtr
int * | m_keyArrayPtr
float | m_convexEpsilon
float | m_planarEpsilon
float | m_equalVertexThreshold
float | m_edgeDistanceThreshold
float | m_zeroAreaThreshold
int | m_nextSize
int | m_hashTableSize
int | m_numValues
int | m_numKeys
char | m_padding [4]

## Detailed Description

Definition at line 92 of file btTriangleInfoMap.h.

## Member Data Documentation

## ◆ m_convexEpsilon

float btTriangleInfoMapData::m_convexEpsilon

Definition at line 99 of file btTriangleInfoMap.h.

## ◆ m_edgeDistanceThreshold

float btTriangleInfoMapData::m_edgeDistanceThreshold

Definition at line 102 of file btTriangleInfoMap.h.

## ◆ m_equalVertexThreshold

float btTriangleInfoMapData::m_equalVertexThreshold

Definition at line 101 of file btTriangleInfoMap.h.

## ◆ m_hashTablePtr

int* btTriangleInfoMapData::m_hashTablePtr

Definition at line 94 of file btTriangleInfoMap.h.

## ◆ m_hashTableSize

int btTriangleInfoMapData::m_hashTableSize

Definition at line 106 of file btTriangleInfoMap.h.

## ◆ m_keyArrayPtr

int* btTriangleInfoMapData::m_keyArrayPtr

Definition at line 97 of file btTriangleInfoMap.h.

## ◆ m_nextPtr

int* btTriangleInfoMapData::m_nextPtr

Definition at line 95 of file btTriangleInfoMap.h.

## ◆ m_nextSize

int btTriangleInfoMapData::m_nextSize

Definition at line 105 of file btTriangleInfoMap.h.

## ◆ m_numKeys

int btTriangleInfoMapData::m_numKeys

Definition at line 108 of file btTriangleInfoMap.h.

## ◆ m_numValues

int btTriangleInfoMapData::m_numValues

Definition at line 107 of file btTriangleInfoMap.h.

## ◆ m_padding

char btTriangleInfoMapData::m_padding[4]

Definition at line 109 of file btTriangleInfoMap.h.

## ◆ m_planarEpsilon

float btTriangleInfoMapData::m_planarEpsilon

Definition at line 100 of file btTriangleInfoMap.h.

## ◆ m_valueArrayPtr

btTriangleInfoData* btTriangleInfoMapData::m_valueArrayPtr

Definition at line 96 of file btTriangleInfoMap.h.

## ◆ m_zeroAreaThreshold

float btTriangleInfoMapData::m_zeroAreaThreshold

Definition at line 103 of file btTriangleInfoMap.h.

The documentation for this struct was generated from the following file:

- btTriangleInfoMap.h